maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From María Isabel López Sánchez-Huete <mar...@ugr.es>
Subject problem installing the oracle library ojdbc14.jar
Date Tue, 01 Jul 2008 11:42:16 GMT
     Hí,

     I'm a beginner in this matter, and I'm lost. I expect somebody can 
help me.

     I´m trying to install dspace 1.5 on Solaris 10 in a SPARC computer.

     I read the installation documentation, and follow the steps.

     My problems is about installing the oracle library ojdbc14.jar. I 
put in my current directory the ojdbc14.jar file, but when I run
mvn -e -X install:install-file -Dfile=ojdbc14.jar -DgroupId=com.oracle 
-DartifactId=ojdbc14 -Dversion=10.2.0.2.0 -Dpackaging=jar -DgeneratePom=true
     The following error appears (I reproduce only the first lines):
+ Error stacktraces are turned on.
[INFO] Scanning for projects...
[INFO] Searching repository for plugin with prefix: ' -X install'.
[INFO] org.apache.maven.plugins: checking for updates from central
[INFO] org.codehaus.mojo: checking for updates from central
[INFO] artifact org.apache.maven.plugins:maven- -X install-plugin: 
checking for updates from central
[WARNING] POM for 'org.apache.maven.plugins:maven- -X 
install-plugin:pom:LATEST' is invalid. It will be ignored for artifact 
resolution. Reason: Failed to validate POM for project 
org.apache.maven.plugins:maven- -X install-plugin at Artifact 
[org.apache.maven.plugins:maven- -X install-plugin:pom:LATEST]
[INFO] 
------------------------------------------------------------------------
[ERROR] BUILD ERROR
[INFO] 
------------------------------------------------------------------------
[INFO] Failed to resolve artifact.
GroupId: org.apache.maven.plugins
ArtifactId: maven- -X install-plugin
Version: LATEST
Reason: Unable to determine the latest version
   org.apache.maven.plugins:maven- -X install-plugin:pom:LATEST
[INFO] 
------------------------------------------------------------------------
[INFO] Trace
org.apache.maven.lifecycle.LifecycleExecutionException: Unable to build 
project information for plugin 'org.apache.maven.plugins:maven- -X 
install-plugin': POM 'org.apache.maven.plugins:maven- -X install-plugin' 
not found in repository: Unable to determine the latest version
   org.apache.maven.plugins:maven- -X install-plugin:pom:LATEST
(...)

     Any idea? Thanks in advance.
-- 

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message